HV_VSS_DAEMON(8)

NAME
hv_vss_daemon - Hyper-V Volume Shadow Copy Service Daemon

SYNOPSIS
hv_vss_daemon [-dn]

DESCRIPTION
The hv_vss_daemon daemon provides the ability to freeze and thaw the file system for FreeBSD guest partitions running on Hyper-V.

Hyper-V allows administrators to backup or restore the FreeBSD guest partition. Administrators can use Windows Powershell scripts to backup or restore the FreeBSD VM.

The hv_vss_daemon accepts file system freeze and thaw requests from the hv_utils(4) driver and performs the actual file-system operation.

The file system freeze and thaw functionality is useful when the Hyper-V host wants to do live backup of FreeBSD guest. Hyper-V host sends file system freezing request to hv_vss_daemon which conducts the real operation. After successfully freezing file system, Hyper-V host takes a snapshot of the VM. In the future, Hyper-V host can restore the FreeBSD VM through that snapshot.

The options are as follows:

-d  Run as regular process instead of a daemon for debugging purpose.

-n  Generate debugging output.

SEE ALSO
hv_vmbus(4), hv_utils(4), hv_netvsc(4), hv_storvsc(4), hv_kvp(4)

HISTORY
The daemon was introduced in October 2016 and developed by Microsoft Corp.

AUTHORS
-nosplit FreeBSD support for hv_vss_daemon was first added by Microsoft BSD Integration Services Team <bsdic@microsoft.com>.